com.tibco.tea.agent.support

## Class TeaIllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.tibco.tea.agent.support.TeaException
        - - com.tibco.tea.agent.support.TeaIllegalStateException

- All Implemented Interfaces:
    Serializable

      public class TeaIllegalStateException
      extends TeaException

  Exception to indicate a conflict between the `TeaOperation` intent and the current state of the object on which the TeaOperation was invoked. The object state should not change when this exception is thrown.The HTTP status code used for indicating this exception is 409.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeaIllegalStateException(String message)` Constructs a TeaIllegalStateException
    `TeaIllegalStateException(String message, int exitCode)` Constructs a TeaIllegalStateException
    `TeaIllegalStateException(String message, String details)` Constructs a TeaIllegalStateException
    `TeaIllegalStateException(String message, String details, int exitCode)` Constructs a TeaIllegalStateException
    `TeaIllegalStateException(String message, String details, Throwable cause)` Constructs a TeaIllegalStateException
    `TeaIllegalStateException(String message, String details, Throwable cause, int exitCode)` Constructs a TeaIllegalStateException

  - ### Method Summary

    - ### Methods inherited from class com.tibco.tea.agent.support.TeaException

      `getDetails, getExitCode, getStatusCode, toString, withHttpStatusCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message,
                                          String details,
                                          Throwable cause)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception
        `cause` - the exception which is being wrapped with this TeaIllegalStateException

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message,
                                          String details)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message,
                                          String details,
                                          Throwable cause,
                                          int exitCode)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception
        `cause` - the exception which is being wrapped with this TeaIllegalStateException

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message,
                                          String details,
                                          int exitCode)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception

    - #### TeaIllegalStateException

          public TeaIllegalStateException(String message,
                                          int exitCode)

      Constructs a TeaIllegalStateException
      Parameters:
        `message` - message describing the exception

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.